Update 4.0.1 with 3G advice

Discussion in 'Jailbreaks and iOS Hacks' started by waytoocool, Sep 12, 2010.

  1. waytoocool macrumors newbie

    Joined:
    Sep 12, 2010
    #1
    Hello,

    This is my first post, sorry for the newbie question :)

    I have a 3gs and used the jailbreakme.com with no problem a couple months ago.

    My brother, on the otherhand, has a jailbroken iphone 3G with shsh backed up and wants to go from 3.1.3 to 4.0.1.

    My question is, is iphone 3G 4.0.1 jailbreakable using jailbreakme.com or should I just update it to 4.0 and use jailbreakme.com?

    The reason I ask this is because I notice on the flowchart on the sticky says that if you have a 3G, you should update to 4.0 and use redsnow to jailbreak.

    Any advice would be fantastic! Thanks!
     
  2. MrThompsonR macrumors 6502

    MrThompsonR

    Joined:
    Dec 15, 2009
    #2
    I did the custom 4.01 firmware update/ jailbreak w/Redsnow on my 3G. By the time jailbreakme.com came out I was on 4.0. I'm thinking if you can update a 3G to 4.01 you should be able to jailbreak with jailbreakme.com and skip Redsnow. You can download the 4.01 firmware here... http://www.felixbruns.de/iPod/firmware/. Do a restore in iTunes with the firmware you download vs what Apple will offer/ suggest 4.1, once the phone reboots and is activated by iTunes open Safari, go to jailbreakme.com and rejailbreak.
     
  3. waytoocool thread starter macrumors newbie

    Joined:
    Sep 12, 2010
    #3
    Awesome, works great.

    I went ahead and change the the servers, downloaded the 4.0.1 firmware for 3G, and clicked "Shift" + restore on itunes. Used jailbreakme.com

    Everything works great.

    Thanks for your help.
     
  4. Jovian9 macrumors 68000

    Jovian9

    Joined:
    Feb 19, 2003
    Location:
    Planet Zebes
    #4
    Since I think his issue is resolved I'm going to add mine to this. I went to this website and downloaded the 4.0.1 update for my 3GS (not 3G). I went into iTunes and tried to update with 4.0.1 but always get the error:

    The iPhone "....." could not be restored/updated. This device isn't eligible for the requested build.

    My 3GS is jailbroken and I updated Mywi to 4.0 today, got it syncronized with Cydia (since I was using Rock) and wanted to go ahead and update to 4.0.1 and use JailbreakMe. No matter what I do I get this error message above.

    Any ideas on this? I have tried it in iTunes 10 and then downgraded iTunes 10 to 9.2.1 and tried it again but the error message remains the same.

    Thanks!
     

Share This Page